<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<!-- Version SVN: $Id: layout.php 700 2012-03-08 02:05:27Z sven.poeche $ -->
<head>
<?php include_http_metas(); ?>
<?php include_metas(); ?>
<?php include_title(); ?>
<link rel="shortcut icon" href="/favicon.ico" />
<?php if(has_slot('facebookPreview')): ?>
<link rel="image_src" href="<?php include_slot('facebookPreview'); ?>" />
<?php endif; ?>
<?php if (stConfig::get('google_analytics_id')): ?>
<?php include_partial('start/googleAnalytics', array('id' => stConfig::get('google_analytics_id'), 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>
</head>

<body>

<?php include_partial('media/shareOverlay', array('culture' => sfContext::getInstance()->getUser()->getCulture())) ?>

<div id="wrapper" class="clearfix">
	<div class="clearfix">

    	<div id="header">

            <?php print link_to(image_tag(stConfig::get('portal_logo')), "@homepage", array('class' => 'portalLogo')); ?>

            <?php include_component("start", "topMenu", array('sf_user' => $sf_user, 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>

<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
            <?php include_component("advertisement", "adTag", array('position' => 'header', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>

        </div><!-- #header -->


    	<div id="mainmenu" class="clearfix">

      		<?php include_component("start", "mainMenu", array('culture' => sfContext::getInstance()->getUser()->getCulture())); ?>

		</div><!-- #mainmenu -->


    	<div id="contentWrapper" class="clearfix">

            <div id="contextmenu" class="clearfix">
                <?php include_component("user", "contextMenu", array('isAuthenticated' => $sf_user->isAuthenticated(),
                                                                     'username'        => $sf_user->getUser()->getUsername(),
                                                                     'userlink'        => $sf_user->getUser()->getLink(),
                                                                     'culture' => sfContext::getInstance()->getUser()->getCulture())) ?>
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'contextmenu', 'type' => 'user', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>

                <div id="searchbox">
                	<h4><?php print __("Search"); ?></h4>
                    <?php DojoManager::addJavascript(); ?>
                    <form method="post" action="<?php print url_for('search/index'); ?>" class="clearfix" onsubmit="ieCheck('search', '<?php print __('Search'); ?>'); clearField('search');">
                      <input type="text" maxlength="128" id="search" name="search" value="<?php print __('Search'); ?>" onclick="clearField(this);" onblur="resetField(this, '<?php print __('Search'); ?>')" onchange="setChangedState(this)" class="text" />
                      <input type="image" title="<?php print __('Search'); ?>" alt="<?php print __('Search'); ?>" name="send" id="send" class="button image" src="<?php echo image_path('frontend/backgrounds/ghost.png'); ?>" />
                    </form>
                </div>
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'contextmenu', 'type' => 'search', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>

<?php if(stToolkit::moduleEnabled('channels') && stConfig::get('enable_channels')) : ?>
                <?php include_component("channels", "contextMenu", array('culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'contextmenu', 'type' => 'channels', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>
<?php endif; ?>
                <?php include_component("category", "contextMenu", array('culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'contextmenu', 'type' => 'category', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>
                <?php include_component("media", "tagCloud", array('culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'contextmenu', 'type' => 'tags', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>
            </div>

            <div id="content" class="clearfix">
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'content', 'type' => 'top', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>
                <?php print get_slot('breadcrumb'); ?>
                <?php include_partial("start/messages", array('user' => $sf_context->getUser(), 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
                <?php echo $sf_content; ?>
<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
                <?php include_component("advertisement", "adTag", array('position' => 'content', 'type' => 'bottom', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>
            </div>

		</div> <!-- #contentWrapper -->

	</div> <!-- .clearfix -->

<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
  <?php include_component("advertisement", "adTag", array('position' => 'skyscraper', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>

</div><!-- #wrapper -->

<?php if(stToolkit::moduleEnabled('advertisement')) : ?>
<?php include_component("advertisement", "adTag", array('position' => 'footer', 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
<?php endif; ?>

<div id="footerWrapper">
	<div id="footer" class="clearfix">

    	<div>
        <?php include_component("webcontent", "simpleContent", array('content' => stConfig::get('webcontent_static_footer'), 'culture' => sfContext::getInstance()->getUser()->getCulture())); ?>
      </div>

<?php /*
        <ul>
          	<li><?php print link_to(__('My media'), Media::getLinkList(array('user' =>  $sf_user->getUser()->getUsername(), 'category' => null, 'category_id' => null, 'channel' => null, 'search' => null, 'tag' => null, 'filter' => null, 'limit' => null, 'letter' => null, 'mode' => null))); ?></li>
<?php if (stToolkit::moduleEnabled('channels') && stConfig::get('enable_channels')) : ?>
          	<li><?php print link_to(__('My channels'), 'channels/index'); ?></li>
<?php endif; ?>
<?php if (stToolkit::moduleEnabled('group') && stConfig::get('enable_groups')) : ?>
          	<li><?php print link_to(__('My groups'), 'group/index'); ?></li>
<?php endif; ?>
        </ul>
*/ ?>

		<ul>
        	<li><h2><?php print __('Legal Info'); ?></h2></li>
          	<li><?php print link_to(__('Terms of Use'), WebContentPeer::getLink(stConfig::get('webcontent_static_terms'))); ?></li>
          	<li><?php print link_to(__('Privacy Policy'), WebContentPeer::getLink(stConfig::get('webcontent_static_privacy'))); ?></li>
          	<li><?php print link_to(__('Disclaimer'), WebContentPeer::getLink(stConfig::get('webcontent_static_disclaimer'))); ?></li>
        </ul>

        <ul>
        	<li><h2><?php print __('Links'); ?></h2></li>
<?php if(stConfig::get('player_html5') && stConfig::get('template_mobile')) : ?>
          <li><?php print link_to(__('Mobile'), 'default/mobile'); ?></li>
<?php endif; ?>
          <!--li><?php print link_to('vimp.com', 'http://www.vimp.com'); ?></li-->
        </ul>

	</div> <!-- #footer -->
</div> <!-- #footerWrapper -->

<?php dojo_includes(); ?>

<?php if(sfConfig::get("sf_environment") == "dev") : ?>
<script type="text/javascript">
  dojo.addOnLoad(function() {
    if(typeof sfWebDebugToggleMenu != 'undefined') {
      sfWebDebugToggleMenu();
    }
  });
</script>
<?php endif; ?>

</body>
</html>
